commit 6f4eba9ae2a5748b48482036538bdb95a1b4a1c5
Author: freddy77 <freddy77>
Date:   Thu Jun 25 20:51:17 2009 +0000

    applied Andrew Victor patch for empty strings

diff --git a/ChangeLog b/ChangeLog
index 030fffa..22ccd87 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Jun 25 22:51:09 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* src/ctlib/ct.c: Andrew Victor patch for empty strings (modified)
+
 Thu Jun 25 22:47:37 CEST 2009    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/ctlib/ct.c: comment style
 
@@ -1674,4 +1677,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.2825 2009/06/25 20:47:48 freddy77 Exp $
+$Id: ChangeLog,v 1.2826 2009/06/25 20:51:17 freddy77 Exp $
diff --git a/src/ctlib/ct.c b/src/ctlib/ct.c
index 864ec2f..2ec1695 100644
--- a/src/ctlib/ct.c
+++ b/src/ctlib/ct.c
@@ -39,7 +39,7 @@
 #include "tdsstring.h"
 #include "replacements.h"
 
-TDS_RCSID(var, "$Id: ct.c,v 1.196 2009/06/25 20:47:48 freddy77 Exp $");
+TDS_RCSID(var, "$Id: ct.c,v 1.197 2009/06/25 20:51:17 freddy77 Exp $");
 
 
 static char * ct_describe_cmd_state(CS_INT state);
@@ -3867,7 +3867,7 @@ paramrowalloc(TDSPARAMINFO * params, TDSCOLUMN * curcol, int param_num, void *va
 	if (!row)
 		return NULL;
 
-	if (size > 0 && value) {
+	if (value) {
 		/* TODO check for BLOB and numeric */
 		if (size > curcol->column_size) {
 			tdsdump_log(TDS_DBG_FUNC, "paramrowalloc(): RESIZE %d to %d\n", size, curcol->column_size);
@@ -4176,7 +4176,7 @@ _ct_fill_param(CS_INT cmd_type, CS_PARAM *param, CS_DATAFMT *datafmt, CS_VOID *d
 				*(param->datalen) = (*datalen == CS_UNUSED) ? 0 : *datalen;
 			}
 
-			if (*(param->datalen) && data) {
+			if (data) {
 				if (*(param->datalen) == CS_NULLTERM) {
 					tdsdump_log(TDS_DBG_INFO1,
 						    " _ct_fill_param() about to strdup string %u bytes long\n",
@@ -4185,7 +4185,7 @@ _ct_fill_param(CS_INT cmd_type, CS_PARAM *param, CS_DATAFMT *datafmt, CS_VOID *d
 				} else if (*(param->datalen) < 0) {
 					return CS_FAIL;
 				}
-				param->value = malloc(*(param->datalen));
+				param->value = malloc(*(param->datalen) ? *(param->datalen) : 1);
 				if (param->value == NULL)
 					return CS_FAIL;
 				memcpy(param->value, data, *(param->datalen));

